
	#########################################################
	#####  -- < Include /etc/apache2/uid.conf >
	User wwwrun
	Group www
	#####  -- < ENDE Include /etc/apache2/uid.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/server-tuning.conf >

	<IfModule prefork.c>
		StartServers         5
		MinSpareServers      5
		MaxSpareServers     10
		ServerLimit        150
		MaxClients         150
		MaxRequestsPerChild  10000
	</IfModule>


	<IfModule worker.c>
		StartServers         3
		MinSpareThreads     25
		MaxSpareThreads     75
		ThreadLimit         64
		MaxClients         150
		ThreadsPerChild     25
		MaxRequestsPerChild  10000
	</IfModule>

	KeepAlive On
	MaxKeepAliveRequests 100
	KeepAliveTimeout 15
	EnableSendfile on

	<IfModule mod_setenvif.c>
		BrowserMatch "Mozilla/2" nokeepalive
		BrowserMatch "MSIE 4\.0b2;" nokeepalive downgrade-1.0 force-response-1.0
		BrowserMatch "RealPlayer 4\.0" force-response-1.0
		BrowserMatch "Java/1\.0" force-response-1.0
		BrowserMatch "JDK/1\.0" force-response-1.0
		BrowserMatch "Microsoft Data Access Internet Publishing Provider" redirect-carefully
		BrowserMatch "^WebDrive" redirect-carefully
		BrowserMatch "^WebDAVFS/1.[012]" redirect-carefully
		BrowserMatch "^gnome-vfs" redirect-carefully
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/server-tuning.conf >
	#########################################################

ErrorLog /var/log/apache2/error_log

<IfDefine !SYSCONFIG>

		#########################################################
		#####  -- < Include /etc/apache2/loadmodule.conf >
		LoadModule actions_module                 /usr/lib64/apache2-prefork/mod_actions.so
		LoadModule alias_module                   /usr/lib64/apache2-prefork/mod_alias.so
		LoadModule auth_basic_module              /usr/lib64/apache2-prefork/mod_auth_basic.so
		LoadModule authn_file_module              /usr/lib64/apache2-prefork/mod_authn_file.so
		LoadModule authz_host_module              /usr/lib64/apache2-prefork/mod_authz_host.so
		LoadModule authz_groupfile_module         /usr/lib64/apache2-prefork/mod_authz_groupfile.so
		LoadModule authz_user_module              /usr/lib64/apache2-prefork/mod_authz_user.so
		LoadModule autoindex_module               /usr/lib64/apache2-prefork/mod_autoindex.so
		LoadModule cgi_module                     /usr/lib64/apache2-prefork/mod_cgi.so
		LoadModule dir_module                     /usr/lib64/apache2-prefork/mod_dir.so
		LoadModule env_module                     /usr/lib64/apache2-prefork/mod_env.so
		LoadModule expires_module                 /usr/lib64/apache2-prefork/mod_expires.so
		LoadModule include_module                 /usr/lib64/apache2-prefork/mod_include.so
		LoadModule log_config_module              /usr/lib64/apache2-prefork/mod_log_config.so
		LoadModule mime_module                    /usr/lib64/apache2-prefork/mod_mime.so
		LoadModule negotiation_module             /usr/lib64/apache2-prefork/mod_negotiation.so
		LoadModule setenvif_module                /usr/lib64/apache2-prefork/mod_setenvif.so
		LoadModule ssl_module                     /usr/lib64/apache2-prefork/mod_ssl.so
		LoadModule socache_shmcb_module           /usr/lib64/apache2-prefork/mod_socache_shmcb.so
		LoadModule userdir_module                 /usr/lib64/apache2-prefork/mod_userdir.so
		LoadModule reqtimeout_module              /usr/lib64/apache2-prefork/mod_reqtimeout.so
		LoadModule authn_core_module              /usr/lib64/apache2-prefork/mod_authn_core.so
		LoadModule authz_core_module              /usr/lib64/apache2-prefork/mod_authz_core.so
		#####  -- < ENDE Include /etc/apache2/loadmodule.conf >
		#########################################################

</IfDefine>


	#########################################################
	#####  -- < Include /etc/apache2/listen.conf >
	Listen 80

	<IfDefine SSL>

		<IfDefine !NOSSL>

			<IfModule mod_ssl.c>
				Listen 443
			</IfModule>

		</IfDefine>

	</IfDefine>

	#####  -- < ENDE Include /etc/apache2/listen.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/mod_log_config.conf >
	LogFormat "%h %l %u %t \"%r\" %>s %b"			common
	LogFormat "%v %h %l %u %t \"%r\" %>s %b"		vhost_common
	LogFormat "%{Referer}i -> %U"				referer
	LogFormat "%{User-agent}i"				agent
	LogFormat "%h %l %u %t \"%r\" %>s %b \
	\"%{Referer}i\" \"%{User-Agent}i\""			combined
	LogFormat "%v %h %l %u %t \"%r\" %>s %b \
	\"%{Referer}i\" \"%{User-Agent}i\""			vhost_combined

	<IfModule mod_logio.c>
		LogFormat "%h %l %u %t \"%r\" %>s %b \
		\"%{Referer}i\" \"%{User-Agent}i\" %I %O"		combinedio
	</IfModule>


	<IfModule mod_ssl.c>
		Logformat "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \
		\"%r\" %b"						ssl_common
		Logformat "%t %h %{SSL_PROTOCOL}x %{SSL_CIPHER}x \
		\"%r\" %b \"%{Referer}i\" \"%{User-Agent}i\""		ssl_combined
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_log_config.conf >
	#########################################################


<IfDefine !SYSCONFIG>

		#########################################################
		#####  -- < Include /etc/apache2/global.conf >
		ServerSignature off
		UseCanonicalName off
		ServerTokens ProductOnly
		LogLevel warn
		CustomLog /var/log/apache2/access_log combined
		#####  -- < ENDE Include /etc/apache2/global.conf >
		#########################################################

</IfDefine>


	#########################################################
	#####  -- < Include /etc/apache2/mod_status.conf >

	<IfModule mod_status.c>

		<Location /server-status>
			SetHandler server-status

			<IfModule !mod_access_compat.c>
				Require local
			</IfModule>


			<IfModule mod_access_compat.c>
				Order deny,allow
				Deny from all
				Allow from localhost
			</IfModule>

		</Location>

	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_status.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/mod_info.conf >

	<IfModule mod_info.c>

		<Location /server-info>
			SetHandler server-info

			<IfModule !mod_access_compat.c>
				Require local
			</IfModule>


			<IfModule mod_access_compat.c>
				Order deny,allow
				Deny from all
				Allow from localhost
			</IfModule>

		</Location>

	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_info.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/mod_reqtimeout.conf >

	<IfModule mod_reqtimeout.c>
		RequestReadTimeout header=10-20,MinRate=1000 body=20,MinRate=1000
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_reqtimeout.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/mod_cgid-timeout.conf >

	<IfModule mod_cgid.c>
		CGIDScriptTimeout 60
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_cgid-timeout.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/mod_usertrack.conf >

	<IfModule mod_usertrack.c>
		CookieName Apache
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_usertrack.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/mod_autoindex-defaults.conf >

	<IfModule mod_autoindex.c>
		IndexOptions FancyIndexing VersionSort NameWidth=*
		AddIconByEncoding (CMP,/icons/compressed.gif) x-compress x-gzip
		AddIconByType (TXT,/icons/text.gif) text/*
		AddIconByType (IMG,/icons/image2.gif) image/*
		AddIconByType (SND,/icons/sound2.gif) audio/*
		AddIconByType (VID,/icons/movie.gif) video/*
		AddIcon /icons/binary.gif .bin .exe
		AddIcon /icons/binhex.gif .hqx
		AddIcon /icons/tar.gif .tar
		AddIcon /icons/world2.gif .wrl .wrl.gz .vrml .vrm .iv
		AddIcon /icons/compressed.gif .Z .z .tgz .gz .zip
		AddIcon /icons/a.gif .ps .ai .eps
		AddIcon /icons/layout.gif .html .shtml .htm .pdf
		AddIcon /icons/text.gif .txt
		AddIcon /icons/c.gif .c
		AddIcon /icons/p.gif .pl .py
		AddIcon /icons/f.gif .for
		AddIcon /icons/dvi.gif .dvi
		AddIcon /icons/uuencoded.gif .uu
		AddIcon /icons/script.gif .conf .sh .shar .csh .ksh .tcl
		AddIcon /icons/tex.gif .tex
		AddIcon /icons/bomb.gif core
		AddIcon /icons/back.gif ..
		AddIcon /icons/hand.right.gif README
		AddIcon /icons/folder.gif ^^DIRECTORY^^
		AddIcon /icons/blank.gif ^^BLANKICON^^
		DefaultIcon /icons/unknown.gif
		ReadmeName README.html
		HeaderName HEADER.html
		IndexIgnore .??* *~ *# HEADER* RCS CVS *,v *,t
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_autoindex-defaults.conf >
	#########################################################

TypesConfig /etc/apache2/mime.types

	#########################################################
	#####  -- < Include /etc/apache2/mod_mime-defaults.conf >
	AddLanguage ca .ca
	AddLanguage cs .cz .cs
	AddLanguage da .dk
	AddLanguage de .de
	AddLanguage el .el
	AddLanguage en .en
	AddLanguage eo .eo
	AddLanguage es .es
	AddLanguage et .et
	AddLanguage fr .fr
	AddLanguage he .he
	AddLanguage hr .hr
	AddLanguage it .it
	AddLanguage ja .ja
	AddLanguage ko .ko
	AddLanguage ltz .ltz
	AddLanguage nl .nl
	AddLanguage nn .nn
	AddLanguage no .no
	AddLanguage pl .po
	AddLanguage pt .pt
	AddLanguage pt-BR .pt-br
	AddLanguage ru .ru
	AddLanguage sv .sv
	AddLanguage zh-CN .zh-cn
	AddLanguage zh-TW .zh-tw

	<IfModule mod_negotiation.c>
		LanguagePriority en ca cs da de el eo es et fr he hr it ja ko ltz nl nn no pl pt pt-BR ru sv zh-CN zh-TW
		ForceLanguagePriority Prefer Fallback
	</IfModule>

	AddCharset ISO-8859-1  .iso8859-1  .latin1
	AddCharset ISO-8859-2  .iso8859-2  .latin2 .cen
	AddCharset ISO-8859-3  .iso8859-3  .latin3
	AddCharset ISO-8859-4  .iso8859-4  .latin4
	AddCharset ISO-8859-5  .iso8859-5  .latin5 .cyr .iso-ru
	AddCharset ISO-8859-6  .iso8859-6  .latin6 .arb
	AddCharset ISO-8859-7  .iso8859-7  .latin7 .grk
	AddCharset ISO-8859-8  .iso8859-8  .latin8 .heb
	AddCharset ISO-8859-9  .iso8859-9  .latin9 .trk
	AddCharset ISO-2022-JP .iso2022-jp .jis
	AddCharset ISO-2022-KR .iso2022-kr .kis
	AddCharset ISO-2022-CN .iso2022-cn .cis
	AddCharset Big5        .Big5       .big5
	AddCharset WINDOWS-1251 .cp-1251   .win-1251
	AddCharset CP866       .cp866
	AddCharset KOI8-r      .koi8-r .koi8-ru
	AddCharset KOI8-ru     .koi8-uk .ua
	AddCharset ISO-10646-UCS-2 .ucs2
	AddCharset ISO-10646-UCS-4 .ucs4
	AddCharset UTF-8       .utf8
	AddCharset GB2312      .gb2312 .gb
	AddCharset utf-7       .utf7
	AddCharset utf-8       .utf8
	AddCharset big5        .big5 .b5
	AddCharset EUC-TW      .euc-tw
	AddCharset EUC-JP      .euc-jp
	AddCharset EUC-KR      .euc-kr
	AddCharset shift_jis   .sjis
	AddType application/x-compress .Z
	AddType application/x-gzip .gz .tgz
	Addtype image/x-icon .ico
	AddType image/svg+xml .svg .svgz
	AddEncoding gzip .svgz
	AddHandler type-map var

	<IfModule mod_mime_magic.c>
		MIMEMagicFile /etc/apache2/magic
	</IfModule>

	#####  -- < ENDE Include /etc/apache2/mod_mime-defaults.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/errors.conf >
	Alias /error/ "/usr/share/apache2/error/"

	<IfModule mod_negotiation.c>

		<IfModule mod_include.c>

			<Directory "/usr/share/apache2/error">
				AllowOverride None
				Options IncludesNoExec
				AddOutputFilter Includes html
				AddHandler type-map var

				<IfModule !mod_access_compat.c>
					Require all granted
				</IfModule>


				<IfModule mod_access_compat.c>
					Order allow,deny
					Allow from all
				</IfModule>

				LanguagePriority en cs de es fr it ja ko nl pl pt-br ro sv tr
				ForceLanguagePriority Prefer Fallback
			</Directory>

			ErrorDocument 400 /error/HTTP_BAD_REQUEST.html.var
			ErrorDocument 401 /error/HTTP_UNAUTHORIZED.html.var
			ErrorDocument 403 /error/HTTP_FORBIDDEN.html.var
			ErrorDocument 404 /error/HTTP_NOT_FOUND.html.var
			ErrorDocument 405 /error/HTTP_METHOD_NOT_ALLOWED.html.var
			ErrorDocument 408 /error/HTTP_REQUEST_TIME_OUT.html.var
			ErrorDocument 410 /error/HTTP_GONE.html.var
			ErrorDocument 411 /error/HTTP_LENGTH_REQUIRED.html.var
			ErrorDocument 412 /error/HTTP_PRECONDITION_FAILED.html.var
			ErrorDocument 413 /error/HTTP_REQUEST_ENTITY_TOO_LARGE.html.var
			ErrorDocument 414 /error/HTTP_REQUEST_URI_TOO_LARGE.html.var
			ErrorDocument 415 /error/HTTP_UNSUPPORTED_MEDIA_TYPE.html.var
			ErrorDocument 500 /error/HTTP_INTERNAL_SERVER_ERROR.html.var
			ErrorDocument 501 /error/HTTP_NOT_IMPLEMENTED.html.var
			ErrorDocument 502 /error/HTTP_BAD_GATEWAY.html.var
			ErrorDocument 503 /error/HTTP_SERVICE_UNAVAILABLE.html.var
			ErrorDocument 506 /error/HTTP_VARIANT_ALSO_VARIES.html.var
		</IfModule>

	</IfModule>

	#####  -- < ENDE Include /etc/apache2/errors.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/ssl-global.conf >

	<IfDefine SSL>

		<IfDefine !NOSSL>

			<IfModule mod_ssl.c>
				AddType application/x-x509-ca-cert .crt
				AddType application/x-pkcs7-crl    .crl

				<IfDefine SYSTEMD>
					SSLPassPhraseDialog exec:/usr/sbin/apache2-systemd-ask-pass
				</IfDefine>


				<IfDefine !SYSTEMD>
					SSLPassPhraseDialog  builtin
				</IfDefine>


				<IfModule mod_socache_shmcb.c>
					SSLSessionCache         shmcb:/var/lib/apache2/ssl_scache(512000)
				</IfModule>

				SSLSessionCacheTimeout  300
				SSLRandomSeed startup builtin
				SSLRandomSeed connect builtin
				SSLProtocol all -SSLv2 -SSLv3
				SSLCipherSuite ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-AES256-GCM-SHA384:DHE-RSA-AES128-GCM-SHA256:DHE-DSS-AES128-GCM-SHA256:kEDH+AESGCM:ECDHE-RSA-AES128-SHA256:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA:ECDHE-ECDSA-AES128-SHA:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA:ECDHE-ECDSA-AES256-SHA:DHE-RSA-AES128-SHA256:DHE-RSA-AES128-SHA:DHE-DSS-AES128-SHA256:DHE-RSA-AES256-SHA256:DHE-DSS-AES256-SHA:DHE-RSA-AES256-SHA:AES128-GCM-SHA256:AES256-GCM-SHA384:AES128-SHA256:AES256-SHA256:AES128-SHA:AES256-SHA:AES:CAMELLIA:DES-CBC3-SHA:!aNULL:!eNULL:!EXPORT:!DES:!RC4:!MD5:!PSK:!aECDH:!EDH-DSS-DES-CBC3-SHA:!EDH-RSA-DES-CBC3-SHA:!KRB5-DES-CBC3-SHA
				SSLHonorCipherOrder on
			</IfModule>

		</IfDefine>

	</IfDefine>

	#####  -- < ENDE Include /etc/apache2/ssl-global.conf >
	#########################################################


<Directory />
	Options None
	AllowOverride None

	<IfModule !mod_access_compat.c>
		Require all denied
	</IfModule>


	<IfModule mod_access_compat.c>
		Order deny,allow
		Deny from all
	</IfModule>

</Directory>

AccessFileName .htaccess

<Files ~ "^\.ht">

	<IfModule !mod_access_compat.c>
		Require all denied
	</IfModule>


	<IfModule mod_access_compat.c>
		Order allow,deny
		Deny from all
	</IfModule>

</Files>

DirectoryIndex index.html index.html.var

	#########################################################
	#####  -- < Include /etc/apache2/default-server.conf >
	DocumentRoot "/srv/www/htdocs"

	<Directory "/srv/www/htdocs">
		Options None
		AllowOverride None

		<IfModule !mod_access_compat.c>
			Require all granted
		</IfModule>


		<IfModule mod_access_compat.c>
			Order allow,deny
			Allow from all
		</IfModule>

	</Directory>

	Alias /icons/ "/usr/share/apache2/icons/"

	<Directory "/usr/share/apache2/icons">
		Options Indexes MultiViews
		AllowOverride None

		<IfModule !mod_access_compat.c>
			Require all granted
		</IfModule>


		<IfModule mod_access_compat.c>
			Order allow,deny
			Allow from all
		</IfModule>

	</Directory>

	ScriptAlias /cgi-bin/ "/srv/www/cgi-bin/"

	<Directory "/srv/www/cgi-bin">
		AllowOverride None
		Options +ExecCGI -Includes

		<IfModule !mod_access_compat.c>
			Require all granted
		</IfModule>


		<IfModule mod_access_compat.c>
			Order allow,deny
			Allow from all
		</IfModule>

	</Directory>


	<IfModule mod_userdir.c>
		UserDir public_html

			#########################################################
			#####  -- < Include /etc/apache2/mod_userdir.conf >

			<IfModule mod_userdir.c>
				UserDir disabled root

				<Directory /home/*/public_html>
					AllowOverride FileInfo AuthConfig Limit Indexes
					Options MultiViews Indexes SymLinksIfOwnerMatch IncludesNoExec

					<Limit GET POST OPTIONS PROPFIND>

						<IfModule !mod_access_compat.c>
							Require all granted
						</IfModule>


						<IfModule mod_access_compat.c>
							Order allow,deny
							Allow from all
						</IfModule>

					</Limit>


					<LimitExcept GET POST OPTIONS PROPFIND>

						<IfModule !mod_access_compat.c>
							Require all denied
						</IfModule>


						<IfModule mod_access_compat.c>
							Order deny,allow
							Deny from all
						</IfModule>

					</LimitExcept>

				</Directory>

			</IfModule>

			#####  -- < ENDE Include /etc/apache2/mod_userdir.conf >
			#########################################################

	</IfModule>


		#########################################################
		#####  -- < Include /etc/apache2/conf.d/*.conf >
		AliasMatch ^/manual(?:/(?:de|en|es|fr|ja|ko|ru))?(/.*)?$ "/usr/share/apache2/manual$1"

		<Directory "/usr/share/apache2/manual">
			Options Indexes
			AllowOverride None

			<IfModule !mod_access_compat.c>
				Require all granted
			</IfModule>


			<IfModule mod_access_compat.c>
				Order allow,deny
				Allow from all
			</IfModule>


			<Files *.html>
				SetHandler type-map
			</Files>

			SetEnvIf Request_URI ^/manual/(de|en|es|fr|ja|ko|ru)/ prefer-language=$1
			RedirectMatch 301 ^/manual(?:/(de|en|es|fr|ja|ko|ru)){2,}(/.*)?$ /manual/$1$2
		</Directory>


		<IfModule mod_php5.c>

			<FilesMatch "\.ph(p[345]?|tml)$">
				SetHandler application/x-httpd-php
			</FilesMatch>


			<FilesMatch "\.php[345]?s$">
				SetHandler application/x-httpd-php-source
			</FilesMatch>

			DirectoryIndex index.php4
			DirectoryIndex index.php5
			DirectoryIndex index.php
		</IfModule>

		Alias /sarg /srv/www/sarg

		<Directory /srv/www/sarg>
			DirectoryIndex index.html

			<IfModule mod_authz_core.c>
				Require local
			</IfModule>


			<IfModule !mod_authz_core.c>
				Order deny,allow
				Deny from all
				Allow from 127.0.0.1
			</IfModule>

		</Directory>

		#####  -- < ENDE Include /etc/apache2/conf.d/*.conf >
		#########################################################


		#########################################################
		#####  -- < Include /etc/apache2/conf.d/apache2-manual?conf >
		#####  -- < ENDE Include /etc/apache2/conf.d/apache2-manual?conf >
		#########################################################

	#####  -- < ENDE Include /etc/apache2/default-server.conf >
	#########################################################


	#########################################################
	#####  -- < Include /etc/apache2/vhosts.d/*.conf >
	#####  -- < ENDE Include /etc/apache2/vhosts.d/*.conf >
	#########################################################


##### -----------------< ENDE /etc/apache2/httpd.conf >
